App\Library\Amazon\Classes\SurveillanceSystem:
    xml_root_name: SurveillanceSystem
    properties:
        surveillanceSystemType:
            expose: true
            access_type: public_method
            serialized_name: SurveillanceSystemType
            accessor:
                getter: getSurveillanceSystemType
                setter: setSurveillanceSystemType
            type: string
        cameraType:
            expose: true
            access_type: public_method
            serialized_name: CameraType
            accessor:
                getter: getCameraType
                setter: setCameraType
            type: string
        features:
            expose: true
            access_type: public_method
            serialized_name: Features
            accessor:
                getter: getFeatures
                setter: setFeatures
            xml_list:
                inline: true
                entry_name: Features
            type: array<string>
        cameraAccessories:
            expose: true
            access_type: public_method
            serialized_name: CameraAccessories
            accessor:
                getter: getCameraAccessories
                setter: setCameraAccessories
            type: string
